Package it.ernytech.tdlib

## Class TdApi.SetSupergroupDescription

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetSupergroupDescription

Enclosing class:
  TdApi

    public static class TdApi.SetSupergroupDescription
    extends TdApi.Function

Changes information about a supergroup or channel; requires appropriate administrator rights.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `description` New supergroup or channel description; 0-255 characters.
`int` `supergroupId` Identifier of the supergroup or channel.

### Constructor Summary

Constructors
`SetSupergroupDescription()` Default constructor.
`SetSupergroupDescription​(int supergroupId, java.lang.String description)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### supergroupId

    public int supergroupId

Identifier of the supergroup or channel.

#### description

    public java.lang.String description

New supergroup or channel description; 0-255 characters.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetSupergroupDescription

    public SetSupergroupDescription()

Default constructor.

#### SetSupergroupDescription

    public SetSupergroupDescription​(int supergroupId,
                                    java.lang.String description)

Constructor for initialization of all fields.

Parameters:
  `supergroupId` - Identifier of the supergroup or channel.
  `description` - New supergroup or channel description; 0-255 characters.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR